Subject: Re: pkg/36492: editors/emacs (22.1) conflicts with lang/elisp-manual
To: None <,,>
From: Mark E. Perkins <>
List: pkgsrc-bugs
Date: 06/15/2007 00:15:12
The following reply was made to PR pkg/36492; it has been noted by GNATS.

From: "Mark E. Perkins" <>
To: "Jeremy C. Reed" <>
Subject: Re: pkg/36492: editors/emacs (22.1) conflicts with lang/elisp-manual
Date: Thu, 14 Jun 2007 20:11:12 -0400

 On 2007/06/14 19:55, Jeremy C. Reed wrote:
 > On Thu, 14 Jun 2007, Mark E. Perkins wrote:
 >> editors/emacs was recently updated to v22.1.  From the NEWS file:
 >>     The Emacs Lisp Reference Manual in Info format is built as part of the
 >>     Emacs build procedure and installed together with the Emacs User
 >>     Manual.  A menu item was added to the menu bar to make it easily
 >>     accessible (Help->More Manuals->Emacs Lisp Reference).
 >> So now editors/emacs conflicts with lang/elisp-manual.
 >>> Fix:
 >> Need appropriate CONFLICTS statements in emacs Makefile and
 >> in lang/elisp-manual.
 > I don't use elisp. But is the lang/elisp-manual good enough or the same?
 They are not the same.  I'm not a heavy emacs lisp programmer, so I'm taking
 the GNU folks at their word that the new files (v2.9) are the proper
 documentation to accompany emacs 22.1 (the elisp-manual package is v2.8, to
 accompany emacs 21.2).
 > Maybe editors/emacs should be taught not to install the info file --
 > and either depend on the lang/elisp-manual package or don't depend on it.
 Splitting the elisp info files out of the emacs package doesn't really make
 sense to me, but I could live with it.  OTOH, please do not just drop them in
 favor of the existing lang/elisp-manual-21-2.8
 >   Jeremy C. Reed
 > p.s. I assigned this to uebayasi (elisp-manual maintainer), but also 
 > emailed this to markd (emacs maintainer).